<!DOCTYPE html>
<html lang="de">
<head title="pdf_file_generation">
    <meta charset="UTF-8">
    {% block stylesheets %}
        {{ encore_entry_link_tags('app') }}
    {% endblock %}

    {{ encore_entry_link_tags('property_vacancy_management/building_unit/location_map') }}

    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Verdana:400,500,600,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Calibri:400,700">

    <style>
        html {
            -webkit-print-color-adjust: exact;
        }

        body {
            margin: 0;
        }

        @page {
            font-family: Verdana, sans-serif;
            size: A4;
            margin: 150px 0 58px 0;
            border: none;
        }

        #footer {
            font-family: Verdana, sans-serif;
            font-size: 9pt;
            position: fixed;
            left: 0;
            right: 0;
            bottom: 0;
            height: 30px;
            background: white;
            margin-top: 10px;
            display: block;
        }

        .footerBorder {
            border-bottom: {{ buildingUnitExpose.getSecondaryColor() }} solid 2px;
            margin-top: 17px;
        }

        .content {
            position: relative;
            margin: 0pt 33pt 20pt;
        }

        .inner_title {
            color: {{ buildingUnitExpose.getPrimaryColor() }};
            font-size: 9.12pt;
            font-weight: bold;
            margin-top: 16pt;
            margin-bottom: 6pt;
        }

        .object_images {
            color: {{ buildingUnitExpose.getSecondaryColor() }};
            font-size: 9.12pt;
            font-weight: bold;
        }

        .legal {
            font-size: 9pt;
            font-family: 'Calibri', sans-serif;
        }

        .label {
            color: #757070 !important;
            font-size: 7pt;
            margin-top: 2px;
        }

        .value {
            font-size: 9pt;
        }

        .object_image {
            max-width: 170pt;
            max-height: 170pt;
        }

        .map_image {
            max-width: 170pt;
            object-fit: cover;
            min-width: 170pt;
        }

        table {
            table-layout: fixed;
            width: 100%;
        }

        .inside {
            margin-bottom: -35pt;
            overflow: auto;
        }

        .inside td {
            min-width: 109pt;
            display: inline-block;
            margin-right: 10px;
        }

        .inside tr {
            border-spacing: 15pt !important;
            height: 33pt;
        }

        .description {
            font-size: 9pt;
            margin-right: 15pt;
        }

        .pageBreak {
            page-break-before: avoid;
            page-break-after: auto;
            display: inline-block;
            padding-right: 5px;
            overflow: auto;
        }

        .breakAfter {
            page-break-after: auto;
        }
    </style>
</head>
<body>
<div class="content" style="font-family: Verdana, sans-serif; ">
    <div style="width: 67%; float: left;  margin-top: -12pt">
        <p class="inner_title" style="margin-top: 0pt;">Objekt</p>
        <table class="inside" style="border-spacing: 0">
            <tr class="breakAfter">
                {% if buildingUnitExpose.getExposeAddress() != null %}
                    {% set exposeAddress = buildingUnitExpose.getExposeAddress() %}
                    <td colspan="2">
                        <div class="value">{{ exposeAddress.getStreetName() }} {{ exposeAddress.getHouseNumber() }}</div>
                        <div class="label">Straße, Hausnr.</div>
                    </td>
                    <td colspan="2">
                        <div class="value">{{ exposeAddress.getPostalCode() }} {{ exposeAddress.getPlaceName() }} {{ exposeAddress.getQuarterPlaceName() }}</div>
                        <div class="label">PLZ, Ort (Stadtteil)</div>
                    </td>
                {% endif %}
            </tr>
            {% if buildingUnitExpose.getInFloors() != null or buildingUnitExpose.getLocationCategoryName() != null %}
                <tr class="breakAfter">
                    {% if buildingUnitExpose.getInFloors() != null %}
                        <td colspan="2">
                            <div class="value">
                                {{ buildingUnitExpose.getInFloors() }}
                            </div>
                            <div class="label">in Etage(e)</div>
                        </td>
                    {% endif %}
                    {% if buildingUnitExpose.getLocationCategoryName() != null %}
                        <td colspan="2">
                            <div class="value">
                                {{ buildingUnitExpose.getLocationCategoryName() }}
                            </div>
                            <div class="label">Lagekategorie</div>
                        </td>
                    {% endif %}
                </tr>
            {% endif %}
            {% if buildingUnitExpose.getConcatenatedPossibleUsageIndustryClassificationNames() != null %}
                <tr class="breakAfter">
                    <td>
                        <div class="value">
                            {{ buildingUnitExpose.getConcatenatedPossibleUsageIndustryClassificationNames() }}
                        </div>
                        <div class="label">Mögliche Nutzung</div>
                    </td>
                </tr>
            {% endif %}
            {% if buildingUnitExpose.getNumberOfParkingLots() != null %}
                <tr class="breakAfter">
                    <td colspan="2">
                        <div class="value">{{ buildingUnitExpose.getNumberOfParkingLots() }}</div>
                        <div class="label">Anzahl Stellplätze</div>
                    </td>
                    <td></td>
                </tr>
            {% endif %}
            <tr class="breakAfter">
                <td rowspan="3">
                    <p class="inner_title">Flächen und Maße</p>
                </td>
            </tr>
            {% for exposePropertySpacesDataRow in buildingUnitExpose.getExposePropertySpaceDataTable() %}
                <tr class="breakAfter">
                    {% for exposePropertySpacesValue in exposePropertySpacesDataRow.getExposeValues() %}
                        <td>
                            {% if exposePropertySpacesValue != null %}
                                <div class="value">
                                    {% if exposePropertySpacesValue.isSquareMeterValue() == true %}
                                        {{ exposePropertySpacesValue.value }}<sup>2</sup>
                                    {% else %}
                                        {{ exposePropertySpacesValue.value }}
                                    {% endif %}
                                </div>
                                <div class="label">{{ exposePropertySpacesValue.label }}</div>
                            {% endif %}
                        </td>
                    {% endfor %}
                </tr>
            {% endfor %}
            <tr class="breakAfter">
                <td rowspan="3">
                    <p class="inner_title">Konditionen</p>
                </td>
            </tr>
            {% for exposeConditionDataRow in buildingUnitExpose.getExposeConditionDataTable() %}
                <tr class="breakAfter">
                    {% for exposeConditionValue in exposeConditionDataRow.getExposeValues() %}
                        <td>
                            {% if exposeConditionValue != null %}
                                <div class="value">
                                    {{ exposeConditionValue.value }}
                                </div>
                                <div class="label">{{ exposeConditionValue.label }}</div>
                            {% endif %}
                        </td>
                    {% endfor %}
                </tr>
            {% endfor %}
            <tr style="page-break-before:auto;">
                <td rowspan="3">
                    {% if buildingUnitExpose.getDescription() != null %}
                        <p class="inner_title">Objektbeschreibung</p>
                        <p class="description"> {{ buildingUnitExpose.getDescription()|nl2br }}</p>
                    {% endif %}
                </td>
            </tr>
            <tr>
                <td rowspan="3">
                    {% if buildingUnitExpose.getPlaceDescription() != null %}
                        <p class="inner_title">Lagebeschreibung</p>
                        <p class="description">{{ buildingUnitExpose.getPlaceDescription()|nl2br }}</p>
                    {% endif %}
                </td>
            </tr>
            <tr class="breakAfter">
                <td>
                    {% set propertyExposeContact = buildingUnitExpose.getPropertyExposeContact() %}
                    {% if propertyExposeContact != null %}
                        <div class="pageBreak" style="padding-right: 5px;">
                            <p class="inner_title">Anbieter / Kontaktperson</p>
                            <table>
                                {% if propertyExposeContact.getName() != null %}
                                    <tr>
                                        <td colspan="2">
                                            <div class="value">{{ propertyExposeContact.getName() }}</div>
                                            <div class="label">
                                                {% if buildingUnitExpose.isPropertyExposeContactIsCompany() == true %}
                                                    Firma
                                                {% else %}
                                                    Ansprechperson
                                                {% endif %}
                                            </div>
                                        </td>
                                    </tr>
                                {% endif %}
                                {% if propertyExposeContact.getStreetName() != null or propertyExposeContact.getHouseNumber() or propertyExposeContact.getPostalCode() or propertyExposeContact.getPlaceName() %}
                                    <tr>
                                        <td colspan="2">
                                            <div class="value">
                                                {{ propertyExposeContact.getStreetName() }}
                                                {{ propertyExposeContact.getHouseNumber() }}
                                            </div>
                                            <div class="label">Straße, Hausnummer</div>
                                        </td>
                                        <td colspan="2">
                                            <div class="value">
                                                {{ propertyExposeContact.getPostalCode() }}
                                                {{ propertyExposeContact.getPlaceName() }}
                                            </div>
                                            <div class="label">PLZ, Ort</div>
                                        </td>
                                    </tr>
                                {% endif %}
                                {% if propertyExposeContact.getEmail() != null or propertyExposeContact.getPhoneNumber() != null %}
                                    <tr>
                                        {% if propertyExposeContact.getEmail() != null %}
                                            <td colspan="2">
                                                <div class="value">{{ propertyExposeContact.getEmail() }}</div>
                                                <div class="label">E-Mail</div>
                                            </td>
                                        {% endif %}
                                        {% if propertyExposeContact.getPhoneNumber() == null %}
                                            <td colspan="2">
                                                <div class="value">{{ propertyExposeContact.getPhoneNumber() }}</div>
                                                <div class="label">Telefon</div>
                                            </td>
                                        {% endif %}
                                    </tr>
                                {% endif %}
                            </table>
                        </div>
                    {% endif %}
                </td>
            </tr>
        </table>
        {% if buildingUnitExpose.getDescription() == null and buildingUnitExpose.getPlaceDescription() == null %}
            {% set breakClass ='pageBreakLegal' %}
        {% else %}
            {% set breakClass ='pageBreak' %}
        {% endif %}
        {% if buildingUnitExpose.getDescription() == null and buildingUnitExpose.getPlaceDescription() == null %}
            {% set breakClass ='pageBreakLegal' %}
        {% else %}
            {% set breakClass ='pageBreak' %}
        {% endif %}
        <div class="pageBreak" style="padding-right: 5px; margin-bottom: 10pt; margin-top: 10pt;">
            <p class="inner_title">Ihre Kontaktperson bei
                der {{ buildingUnitExpose.getExposeContact().getAccountName() }}</p>
            <table>
                <tr>
                    <td colspan="2">
                        <div class="value">{{ buildingUnitExpose.getExposeContact().getName() }}</div>
                        <div class="label">Ansprechperson</div>
                    </td>
                </tr>
                <tr>
                    {% if buildingUnitExpose.getExposeContact().getPlaceName() != null %}
                        <td colspan="2">
                            <div class="value">
                                {{ buildingUnitExpose.getExposeContact().getStreetName() }}
                                {{ buildingUnitExpose.getExposeContact().getHouseNumber() }}
                            </div>
                            <div class="label">Straße, Hausnummer</div>
                        </td>
                        <td colspan="2">
                            <div class="value">
                                {{ buildingUnitExpose.getExposeContact().getPostalCode() }}
                                {{ buildingUnitExpose.getExposeContact().getPlaceName() }}
                            </div>
                            <div class="label">PLZ, Ort</div>
                        </td>
                    {% endif %}
                </tr>
                <tr>
                    <td colspan="2">
                        <div class="value">{{ buildingUnitExpose.getExposeContact().getEmail() }}</div>
                        <div class="label">E-Mail</div>
                    </td>
                    <td colspan="2">
                        {% if buildingUnitExpose.getExposeContact().getPhoneNumber() != null %}
                            <div class="value">{{ buildingUnitExpose.getExposeContact().getPhoneNumber() }}</div>
                            <div class="label">Telefon</div>
                        {% endif %}
                    </td>
                </tr>
            </table>
        </div>
        <div class="{{ breakClass }}" style="padding-right: 5px; margin-top: 0;">
            <p class="inner_title legal">Rechtliche Hinweise
                der {{ buildingUnitExpose.getExposeContact().getAccountName() }}</p>
            <p class="legal" style="margin-right:10pt;">
                {{ buildingUnitExpose.getDisclaimer() }}
            </p>
        </div>
        <div id="building_unit_map" class="map-data" data-loading-text="Lade Karte" data-building-unit-json-representation="{{ buildingUnitJsonRepresentation }}">
        </div>
    </div>
    <div style="width: 33%; float: right; margin-top: -12pt">
        {% if buildingUnitExpose.getMainImage() != null %}
            <div class="object_images">
                <p class="inner_title" style="margin-top: 0pt;">Foto des Objekts</p>
                <img class="object_image" alt="" src="{{ base64_image_encode(buildingUnitExpose.getMainImage().getFile()) }}">
            </div>
        {% endif %}
        <div class="object_images map-img" id="mikro-div">
            <p class="inner_title"{% if buildingUnitExpose.getMainImage() == null %} style="margin-top: 0pt;"{% endif %}>
                Mikrolage
            </p>
            <img class="map_image" id="mikro-img" alt="" src="">
        </div>
        <div class="object_images map-img" id="makro-div">
            <p class="inner_title">Makrolage</p>
            <img class="map_image" id="makro-img" alt="" src="">
        </div>
        <div class="object_images" style="page-break-before:always;">
            {% if buildingUnitExpose.getImages()|length > 1 %}
                <p class="inner_title">Weitere Bilder des Objekts</p>
            {% endif %}
            {% for image in buildingUnitExpose.getImages()|slice(0, 4) %}
                {% if buildingUnitExpose.getMainImage() != null and image != buildingUnitExpose.getMainImage() %}
                    <img class="object_image" alt="" src="{{ base64_image_encode(image.getFile()) }}">
                    <p class="inner_title"></p>
                {% endif %}
            {% endfor %}
        </div>
        <div></div>
    </div>
</div>
<div id="footer">
    <div class="footerBorder"></div>
</div>
<div id="placeholder"></div>

{{ encore_entry_script_tags('property_vacancy_management/building_unit/pdf_expose') }}

</body>
</html>
